//
// Copyright (C) 1999-2004 Toshikaz Hirabayashi
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// TOSHIKAZ HIRABAYASHI BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
// OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
// Except as contained in this notice, the name of Toshikaz Hirabayashi shall
// not be used in advertising or otherwise to promote the sale, use or other
// dealings in this Software without prior written authorization from
// Toshikaz Hirabayashi.

#ifndef WSRDEF_H
#define WSRDEF_H

// list disp type
extern char** _WSRtype();
#define  WSRtype _WSRtype()
extern char** _WSRtypeD();
#define  WSRtypeD _WSRtypeD()


//blink types
extern char** _WSRblinkType();
#define  WSRblinkType _WSRblinkType()
extern char** _WSRblinkTypeD();
#define  WSRblinkTypeD _WSRblinkTypeD()

//shadow types
extern char** _WSRshadowType();
#define  WSRshadowType _WSRshadowType()
extern char** _WSRshadowTypeD();
#define  WSRshadowTypeD _WSRshadowTypeD()

//shadow types2
extern char** _WSRshadowType2();
#define  WSRshadowType2 _WSRshadowType2()
extern char** _WSRshadowType2D();
#define  WSRshadowType2D _WSRshadowType2D()

//
extern char** _WSRpixmapStyle();
#define  WSRpixmapStyle _WSRpixmapStyle()
extern char** _WSRpixmapStyleD();
#define  WSRpixmapStyleD _WSRpixmapStyleD()

//
extern char** _WSRindicatorType();
#define  WSRindicatorType _WSRindicatorType()
extern char** _WSRindicatorTypeD();
#define  WSRindicatorTypeD _WSRindicatorTypeD()

//Bool
extern char** _WSRbool();   //True,False
#define  WSRbool _WSRbool()
extern char** _WSRboolD();
#define  WSRboolD _WSRboolD()

//Boolean1
extern char** _WSRbool1();   //ok,no
#define  WSRbool1 _WSRbool1()
extern char** _WSRbool1D();
#define  WSRbool1D _WSRbool1D()

//Boolean2
extern char** _WSRbool2();   //vis,
#define  WSRbool2 _WSRbool2()
extern char** _WSRbool2D();
#define  WSRbool2D _WSRbool2D()

//Boolean3
extern char** _WSRbool3();   //on,off
#define  WSRbool3 _WSRbool3()
extern char** _WSRbool3D();
#define  WSRbool3D _WSRbool3D()

//Boolean4
extern char** _WSRbool4();   //exist
#define  WSRbool4 _WSRbool4()
extern char** _WSRbool4D();
#define  WSRbool4D _WSRbool4D()

extern char** _WSRbool5();   //vis
#define  WSRbool5 _WSRbool5()
extern char** _WSRbool5D();
#define  WSRbool5D _WSRbool5D()

extern char** _WSRbool6();  //effect,noeffect
#define  WSRbool6 _WSRbool6()
extern char** _WSRbool6D();
#define  WSRbool6D _WSRbool6D()

extern char** _WSRalignmentV();
#define  WSRalignmentV _WSRalignmentV()
extern char** _WSRalignmentVD();
#define  WSRalignmentVD _WSRalignmentVD()

extern char** _WSRalignmentV2();
#define  WSRalignmentV2 _WSRalignmentV2()
extern char** _WSRalignmentV2D();
#define  WSRalignmentV2D _WSRalignmentV2D()

extern char** _WSRalignmentH();
#define  WSRalignmentH _WSRalignmentH()
extern char** _WSRalignmentHD();
#define  WSRalignmentHD _WSRalignmentHD()

extern char** _WSRalignmentH2();
#define  WSRalignmentH2 _WSRalignmentH2()
extern char** _WSRalignmentH2D();
#define  WSRalignmentH2D _WSRalignmentH2D()

extern char** _WSRorientation();
#define  WSRorientation _WSRorientation()
extern char** _WSRorientationD();
#define  WSRorientationD _WSRorientationD()

extern char** _WSRlineType();
#define  WSRlineType _WSRlineType()
extern char** _WSRlineTypeD();
#define  WSRlineTypeD _WSRlineTypeD()

extern char** _WSRhatchPattern();
#define  WSRhatchPattern _WSRhatchPattern()
extern char** _WSRhatchPatternD();
#define  WSRhatchPatternD _WSRhatchPatternD()

extern char** _WSRarcType();
#define  WSRarcType _WSRarcType()
extern char** _WSRarcTypeD();
#define  WSRarcTypeD _WSRarcTypeD()

extern char** _WSRrateType();
#define  WSRrateType _WSRrateType()
extern char** _WSRrateTypeD();
#define  WSRrateTypeD _WSRrateTypeD()

extern char** _WSRdateFormat();
#define  WSRdateFormat _WSRdateFormat()
extern char** _WSRdateFormatD();
#define  WSRdateFormatD _WSRdateFormatD()

extern char** _WSRweekFormat();
#define  WSRweekFormat _WSRweekFormat()
extern char** _WSRweekFormatD();
#define  WSRweekFormatD _WSRweekFormatD()

extern char** _WSRclockFormat();
#define  WSRclockFormat _WSRclockFormat()
extern char** _WSRclockFormatD();
#define  WSRclockFormatD _WSRclockFormatD()

extern char** _WSRtitleBar();
#define  WSRtitleBar _WSRtitleBar()
extern char** _WSRtitleBarD();
#define  WSRtitleBarD _WSRtitleBarD()

extern char** _WSRtitleBar2();
#define  WSRtitleBar2 _WSRtitleBar2()
extern char** _WSRtitleBar2D();
#define  WSRtitleBar2D _WSRtitleBar2D()

extern char** _WSRarrowDirection();
#define  WSRarrowDirection _WSRarrowDirection()
extern char** _WSRarrowDirectionD();
#define  WSRarrowDirectionD _WSRarrowDirectionD()

extern char** _WSRgradation();
#define  WSRgradation _WSRgradation()
extern char** _WSRgradationD();
#define  WSRgradationD _WSRgradationD()

extern char** _WSRdataSource();
#define  WSRdataSource _WSRdataSource()
extern char** _WSRdataSourceD();
#define  WSRdataSourceD _WSRdataSourceD()

extern char** _WSRprformat();
#define  WSRprformat _WSRprformat()
extern char** _WSRprformatD();
#define  WSRprformatD _WSRprformatD()

extern char** _WSRprOut();
#define  WSRprOut _WSRprOut()
extern char** _WSRprOutD();
#define  WSRprOutD _WSRprOutD()

extern char** _WSRorientation2();
#define  WSRorientation2 _WSRorientation2()
extern char** _WSRorientation2D();
#define  WSRorientation2D _WSRorientation2D()

extern char** _WSRtypedb();
#define  WSRtypedb _WSRtypedb()
extern char** _WSRtypedbD();
#define  WSRtypedbD _WSRtypedbD()

#endif //WSRDEF_H
